<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.4"/>
<title>Framework: cvmatrix_descriptor Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Framework
   </div>
   <div id="projectbrief">Framework drone</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.4 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classcvmatrix__descriptor.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Properties</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Groups</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classcvmatrix__descriptor-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">cvmatrix_descriptor Class Reference<div class="ingroups"><a class="el" href="group___framework.html">Framework</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>Class describing cvmatrix elements, for log and graphs purpose.  
 <a href="classcvmatrix__descriptor.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="cvmatrix__descriptor_8h_source.html">cvmatrix_descriptor.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:adaf91efe271611151b76388505e64722"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcvmatrix__descriptor.html#adaf91efe271611151b76388505e64722">cvmatrix_descriptor</a> (int rows, int cols)</td></tr>
<tr class="memdesc:adaf91efe271611151b76388505e64722"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#adaf91efe271611151b76388505e64722">More...</a><br/></td></tr>
<tr class="separator:adaf91efe271611151b76388505e64722"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a149f05a896f8418c85ff03eb70841752"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcvmatrix__descriptor.html#a149f05a896f8418c85ff03eb70841752">~cvmatrix_descriptor</a> ()</td></tr>
<tr class="memdesc:a149f05a896f8418c85ff03eb70841752"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#a149f05a896f8418c85ff03eb70841752">More...</a><br/></td></tr>
<tr class="separator:a149f05a896f8418c85ff03eb70841752"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1f691067d684db7c9c8431bf4a352dc3"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcvmatrix__descriptor.html#a1f691067d684db7c9c8431bf4a352dc3">SetElementName</a> (int row, int col, std::string name)</td></tr>
<tr class="memdesc:a1f691067d684db7c9c8431bf4a352dc3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set element name.  <a href="#a1f691067d684db7c9c8431bf4a352dc3">More...</a><br/></td></tr>
<tr class="separator:a1f691067d684db7c9c8431bf4a352dc3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa4c2a9999d5b536637f219394f5e2735"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcvmatrix__descriptor.html#aa4c2a9999d5b536637f219394f5e2735">ElementName</a> (int row, int col)</td></tr>
<tr class="memdesc:aa4c2a9999d5b536637f219394f5e2735"><td class="mdescLeft">&#160;</td><td class="mdescRight">Element name.  <a href="#aa4c2a9999d5b536637f219394f5e2735">More...</a><br/></td></tr>
<tr class="separator:aa4c2a9999d5b536637f219394f5e2735"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a684c26a20a58f968e43eab070a22617b"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcvmatrix__descriptor.html#a684c26a20a58f968e43eab070a22617b">Rows</a> (void)</td></tr>
<tr class="memdesc:a684c26a20a58f968e43eab070a22617b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Number of rows.  <a href="#a684c26a20a58f968e43eab070a22617b">More...</a><br/></td></tr>
<tr class="separator:a684c26a20a58f968e43eab070a22617b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acf0294b16a167759ab7bc21e341c047b"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcvmatrix__descriptor.html#acf0294b16a167759ab7bc21e341c047b">Cols</a> (void)</td></tr>
<tr class="memdesc:acf0294b16a167759ab7bc21e341c047b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Number of colomns.  <a href="#acf0294b16a167759ab7bc21e341c047b">More...</a><br/></td></tr>
<tr class="separator:acf0294b16a167759ab7bc21e341c047b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Class describing cvmatrix elements, for log and graphs purpose. </p>
<p>This class allows to give a name to matrix elements. These names will be used in graphs and logs. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="adaf91efe271611151b76388505e64722"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">cvmatrix_descriptor::cvmatrix_descriptor </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>rows</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>cols</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Constructor. </p>
<p>Construct a matrix descriptor.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">rows</td><td>matrix rows </td></tr>
    <tr><td class="paramname">cols</td><td>matrix cols </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a149f05a896f8418c85ff03eb70841752"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">cvmatrix_descriptor::~cvmatrix_descriptor </td>
          <td>(</td>
          <td class="paramname">)</td><td></td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Destructor. </p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a1f691067d684db7c9c8431bf4a352dc3"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void cvmatrix_descriptor::SetElementName </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>row</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>col</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>name</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set element name. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">row</td><td>element row </td></tr>
    <tr><td class="paramname">col</td><td>element col </td></tr>
    <tr><td class="paramname">name</td><td>element name </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="aa4c2a9999d5b536637f219394f5e2735"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string cvmatrix_descriptor::ElementName </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>row</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>col</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Element name. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">row</td><td>element row </td></tr>
    <tr><td class="paramname">col</td><td>element col</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>element name </dd></dl>

</div>
</div>
<a class="anchor" id="a684c26a20a58f968e43eab070a22617b"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int cvmatrix_descriptor::Rows </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname">)</td><td></td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Number of rows. </p>
<dl class="section return"><dt>Returns</dt><dd>rows </dd></dl>

</div>
</div>
<a class="anchor" id="acf0294b16a167759ab7bc21e341c047b"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int cvmatrix_descriptor::Cols </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname">)</td><td></td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Number of colomns. </p>
<dl class="section return"><dt>Returns</dt><dd>colomns </dd></dl>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="classcvmatrix__descriptor.html">cvmatrix_descriptor</a></li>
    <li class="footer">Generated on Wed Feb 26 2014 14:10:06 for Framework by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.4 </li>
  </ul>
</div>
</body>
</html>
